package types

import (
	"time"
)

// Sensor ...
type Sensor struct {
	SensorID          string    `json:"sensor_id"`
	SensorName        string    `json:"sensor_name"`
	SensorLocation    string    `json:"sensor_location"`
	WireID            *string   `json:"wire_id"`
	GPIONumber        *string   `json:"gpio_number"`
	SensorType        string    `json:"sensor_type"`
	SensorEnabled     bool      `json:"sensor_enabled"`
	SensorLastContact time.Time `json:"sensor_last_contact"`
	DeviceID          string    `json:"device_id"`
	CreationDate      time.Time `json:"creation_date"`
}

func (s *Sensor) Name() string {
	if s.SensorName != "" {
		return s.SensorName
	} else if *s.WireID != "" {
		return *s.WireID
	}

	return s.SensorID
}
